
#ifdef _WIN32  
#ifdef _DEBUG
#define __REDEF_DEBUG__
#undef _DEBUG
#endif
#endif

#include <Python.h>

#ifdef __REDEF_DEBUG__
#define _DEBUG
#undef __REDEF_DEBUG__
#endif

#include <picross/pic_resources.h>

extern int main(int argc, char **argv)
{
  char *pyhome = strdup(pic::python_prefix_dir().c_str());
  Py_SetPythonHome(pyhome);
  Py_Initialize();
  PySys_SetArgv(argc, argv);

  {
      std::string root = pic::release_root_dir();
      char cmdbuffer[4096];
      char escbuffer[4096];

      char *q = escbuffer;
      const char *p = root.c_str();

      while(*p)
      {
        if(*p=='\\')
        {
            *q++ = '\\';
        }

        *q++ = *p++;
      }

      *q = 0;

      sprintf(cmdbuffer,
         "import sys,os\n"
         "if '' in sys.path: sys.path.remove('')\n"
         "if os.getcwd() in sys.path: sys.path.remove(os.getcwd())\n"
         "sys.path.insert(0,os.path.join('%s','modules'))\n"
         "sys.path.insert(0,os.path.join('%s','bin'))\n"
         "from app_cmdline import signature\n",
            escbuffer,escbuffer
      );

      PyRun_SimpleString(cmdbuffer);
  }

  PyRun_SimpleString("signature.cli()");
  Py_Finalize();
  return 0;
}
